Bug 341298 - MetaEngine bad if test ?
Summary: MetaEngine bad if test ?
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Portability-Compilation (show other bugs)
Version: 4.5.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 17:54 UTC by dcb314
Modified: 2018-04-01 09:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dcb314 2014-11-26 17:54:08 UTC
BUILD/libkexiv2-4.14.3/libkexiv2/kexiv2exif.cpp:934:45: warning: logical 'or' of collectively exhaustive tests is always true [-Wlogical-op]

Source code is

    if ((orientation != ORIENTATION_NORMAL) || (orientation != ORIENTATION_UNSPECIFIED))



Reproducible: Always
Comment 1 caulier.gilles 2014-11-26 22:29:17 UTC
Git commit df4f4dc2e4c8c3182981c636b5797181d61934e5 by Gilles Caulier.
Committed on 26/11/2014 at 22:28.
Pushed by cgilles into branch 'master'.

wrong test : this must be an AND operator, not OR
FIXED-IN: 4.6.0

M  +1    -1    libkexiv2/kexiv2exif.cpp

http://commits.kde.org/libkexiv2/df4f4dc2e4c8c3182981c636b5797181d61934e5